Opened 18 years ago

Closed 18 years ago

Last modified 8 years ago

#581 closed defect (fixed)

Must not use ./configure --prefix=/usr for xfsprogs

Reported by: petri.koistinen@… Owned by: blfs-book@…
Priority: high Milestone:
Component: BOOK Version: ~CVS
Severity: blocker Keywords: VERIFIED
Cc:

Description

Hi!

I had problems with xfsdump program and I had chat with XFS kernel maintainer Nathan Scott. On page blfs-book-cvs-html-2004-01-28/postlfs/xfsfs.html there is these instructions:

"Install XFS by running the following commands:

./configure --prefix=/usr && make && make install"

This is not correct. One must not use ./configure with xfsprogs. Make and make install is enough.

Here is copy of relevant messages:

Date: Thu, 29 Jan 2004 11:19:19 +1100 From: Nathan Scott <nathans@…> To: Petri T. Koistinen <petri.koistinen@…> Cc: Eric Sandeen <sandeen@…> Subject: Re: xfsprogs-2.6.2 has no 'make install-lib'

On Thu, Jan 29, 2004 at 01:54:39AM +0200, Petri T. Koistinen wrote:

Hi!

I am sorry to bother you again.

On Wed, 28 Jan 2004, Nathan Scott wrote:

root:/usr/src/xfs/xfsprogs-2.6.2# make install-lib make: * No rule to make target `install-lib'. Stop.

Yes, that was a typo in the error message - fixed in more recent versions of xfsdump. "make install-dev" is the correct target, iirc.

Ok, I did "make install-dev" from xfsprogs-2.6.3 directory, but xfsdump still can not find /usr/libexec/libxfs.a file.

[root /usr/src/xfs/xfsdump-2.2.16]# ./configure --prefix=/usr

Don't do that, just type "make" - it will use a sane set of configure options by default (specifying just one like you have there causes lots of other configure-defaults to be used, which are not necessarily what you want).

cheers.

-- Nathan

and reply to query if I should report this to you:

Date: Thu, 29 Jan 2004 12:50:48 +1100 From: Nathan Scott <nathans@…> To: Petri T. Koistinen <petri.koistinen@…> Cc: Eric Sandeen <sandeen@…> Subject: Re: xfsprogs-2.6.2 has no 'make install-lib'

On Thu, Jan 29, 2004 at 03:16:58AM +0200, Petri T. Koistinen wrote:

Hi!

On Thu, 29 Jan 2004, Nathan Scott wrote:

Don't do that, just type "make" - it will use a sane set of configure options by default

Ok, I installed xfsprogs in same way and that makes this work, great! Thank you!

Good to hear.

I need to write notice to Beyond Linux From Scratch[1] people, because ... Install XFS by running the following commands:

./configure --prefix=/usr && make && make install ... May I forward your previous message to their bugzilla[2]?

Please do - they should just drop that first "configure" step in their recipe.

thanks.

-- Nathan

Attachments (1)

xfsprogs-inst.patch (472 bytes ) - added by petri.koistinen@… 18 years ago.
Patch to remove ./configure --prefix=/usr &amp;&amp;

Download all attachments as: .zip

Change History (21)

by petri.koistinen@…, 18 years ago

Attachment: xfsprogs-inst.patch added

Patch to remove ./configure --prefix=/usr &amp;&amp;

comment:1 by tushar@…, 18 years ago

Can a xfs user confirm this bug.

comment:2 by billyoc@…, 18 years ago

Two comments: We don't install xfsprogs-2.6.2. We don't install xfsdump-2.2.16.

Marking as invalid.

comment:3 by billyoc@…, 18 years ago

Resolution: invalid
Status: newclosed

comment:4 by tushar@…, 18 years ago

xfsprogs is installed, not the same version mentioned.

http://www.linuxfromscratch.org/blfs/view/cvs/postlfs/xfsfs.html

comment:5 by petri.koistinen@…, 18 years ago

Resolution: invalid
Status: closedreopened

Version doesn't matter, procedure is wrong. I can check this again with SGI XFS developers if you are not already convinced. I belive SGI people know best how to install their own product.

comment:6 by billyoc@…, 18 years ago

Resolution: invalid
Status: reopenedclosed

Silicon Graphics, Inc. has no input in where we decide to install software in BLFS, if that were true, we wouldn't have any --prefix configure options at all.

I don't know where xfsdump comes from, but I'm not changing the xfsprogs

install instructions to accomodate it.

comment:7 by petri.koistinen@…, 18 years ago

Heh, heh. I'll check this with SGI. ;-)

comment:8 by tushar@…, 18 years ago

Resolution: invalid
Status: closedreopened

Did some research on this one. Reopening and confirming bug.

The installation instructions in the book are not correct. If installed as per the book, many critical executables (fsck.xfs, mkfs.xfs, xfs_repair) get installed in /usr/sbin instead of /sbin.

If the ./configure step is bypassed (as suggested by the XFS maintainer), the make command automatically runs the ./configure step with sensible defaults (see the Makefile).

BTW, the doc/INSTALL file does not mention the ./configure step, it directly mentions the make step.

comment:9 by billyoc@…, 18 years ago

Running make like that runs autoconf, which we don't do in BLFS. Putting the binaries in /sbin instead of /usr/sbin is another matter.

comment:10 by petri.koistinen@…, 18 years ago

Thank you, Tushar Teredesai. Billy O'Connor, XFS maintainer says that tools get weird configuration if you run configure. Please, consider this as an exception. I may have been tactless with dealing of this bug, but please don't make all XFS users suffer because of me. I am sorry, if I have hurt your feelings. I am only trying to make BLFS even better.

comment:11 by billyoc@…, 18 years ago

No need to apologize. :) We value these bug reports more than you know. I wouldn't have realized that we were putting the xfsprogs binaries in /usr/sbin if you hadn't brought this up. I'm going to be retesting this at length, I just don't want to have to autogen the xfsprogs to install them. That's not our policy. But if it turns out we have to, then we will. Thank you again for this bug report.

comment:12 by billyoc@…, 18 years ago

Status: reopenedassigned

comment:13 by matthew@…, 18 years ago

2 immediate thoughts having just run into this one myself:

1) `sed -i -e 's/autoconf' Makefile. I tested the install using both the original and the seded Makefile and logs of make show some minor differences in the output of configure. The make install logs showed no differences at all.

2) Use all the flags that are in the Makefile -

./configure --prefix=/ --exec-prefix=/ --sbindir=/sbin --bindir=/usr/sbin \

--libdir=/lib --libexecdir=/usr/lib --includedir=/usr/include \ --mandir=/usr/share/man --datadir=/usr/share

After testing 1) above I couldn't be bothered with doing all that typing to see whether option 2) worked. I'll leave that as an exercise for the reader! :)

Hope this is of some use,

Matt.

comment:14 by petri.koistinen@…, 18 years ago

Please excuse me for my ignorance but what's wrong with running autoconf?

comment:15 by tushar@…, 18 years ago

Comitting the change mentioned along with the sed mentioned in Comment #12. Leaving the bug open if further modifications are needed.

comment:16 by petri.koistinen@…, 18 years ago

Re: Comment #11 Isn't autogen installed by the time you are here with the installation? I don't remember installing it separately.

comment:17 by tushar@…, 18 years ago

blocked: 635

comment:18 by tushar@…, 18 years ago

Resolution: fixed
Status: assignedclosed

Fixed with the update to xfsprogs-2.6.9.

comment:19 by igor@…, 17 years ago

Keywords: VERIFIED added

comment:20 by bdubbs@…, 8 years ago

Milestone: old

Milestone old deleted

Note: See TracTickets for help on using tickets.